## gcdemu 3.2.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(gcdemu VERSION 3.2.5 LANGUAGES NONE)

# Additional CMake modules
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# CMake modules
include(GNUInstallDirs)

# Options
option(POST_INSTALL_HOOKS "Run post-install hooks" ON)

# Dependencies
find_package(IntlTool 0.21 REQUIRED)
find_package(Gettext 0.15 REQUIRED)

if(POST_INSTALL_HOOKS)
    find_program(GLIB_COMPILE_SCHEMAS_EXECUTABLE NAMES glib-compile-schemas)
    find_program(UPDATE_DESKTOP_DATABASE_EXECUTABLE NAMES update-desktop-database)
    mark_as_advanced(
        GLIB_COMPILE_SCHEMAS_EXECUTABLE
        UPDATE_DESKTOP_DATABASE_EXECUTABLE
    )
endif()

# Installation
install(PROGRAMS src/gcdemu DESTINATION ${CMAKE_INSTALL_BINDIR})

intltool_merge("-x --no-translations" ${PROJECT_SOURCE_DIR}/po ${PROJECT_SOURCE_DIR}/data/net.sf.cdemu.gcdemu.gschema.xml.in net.sf.cdemu.gcdemu.gschema.xml)
install(FILES ${PROJECT_BINARY_DIR}/net.sf.cdemu.gcdemu.gschema.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/glib-2.0/schemas)
if(POST_INSTALL_HOOKS)
    install(CODE"execute_process (COMMAND ${GLIB_COMPILE_SCHEMAS_EXECUTABLE} ${CMAKE_INSTALL_FULL_DATADIR}/glib-2.0/schemas)")
endif()

intltool_merge("-d" ${PROJECT_SOURCE_DIR}/po ${PROJECT_SOURCE_DIR}/data/gcdemu.desktop.in gcdemu.desktop)
install(FILES ${PROJECT_BINARY_DIR}/gcdemu.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
if(POST_INSTALL_HOOKS)
    install(CODE "execute_process (COMMAND ${UPDATE_DESKTOP_DATABASE_EXECUTABLE} ${CMAKE_INSTALL_FULL_DATADIR}/applications)")
endif()

install(FILES data/gcdemu-icon-gray.svg data/gcdemu-icon.svg data/gcdemu.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps)

# Translations; we use the version provided by our FindIntlTool.cmake
# instead of the gettext version... Note: first two arguments are mandatory,
# the rest is an optional list of languages to process. If no languages
# are given, all POs are processed.
intltool_process_po_files(${PROJECT_SOURCE_DIR}/po ${PROJECT_NAME})

# *** Configuration summary ***
message(STATUS "")
message(STATUS "*** gCDEmu configuration summary ***")
message(STATUS "Installation:")
message(STATUS " install prefix: " ${CMAKE_INSTALL_PREFIX})
message(STATUS "Options:")
message(STATUS " run post-install hooks: " ${POST_INSTALL_HOOKS})
message(STATUS "")

=== debian/changelog ===
gcdemu (1:3.2.6-3~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Remove dmo branding.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 04 Mar 2024 22:08:35 -0800

gcdemu-dmo (1:3.2.6-dmo3) unstable; urgency=medium

  * Replaces libayatana-indicator3-7 by gir1.2-ayatanaappindicator3-0.1 in
    Depends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Jan 2023 09:49:18 +0100

gcdemu-dmo (1:3.2.6-dmo2) unstable; urgency=medium

  * Add libayatana-indicator3-7 after gir1.2-appindicator3-0.1 has been
    removed in 3.2.4-dmo2 to enable tray icon again.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 Jan 2023 09:16:18 +0100

gcdemu-dmo (1:3.2.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Oct 2021 09:17:11 +0200

gcdemu-dmo (3.2.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Apr 2021 14:21:19 +0200

gcdemu-dmo (3.2.4-dmo2) unstable; urgency=medium

  * Remove optional gir1.2-appindicator3-0.1 package from Depends (This
    package has been removed in testing).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Jan 2021 10:56:02 +0100

gcdemu-dmo (3.2.4-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Jan 2020 10:59:03 +0100

gcdemu-dmo (3.2.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 31 Aug 2019 15:50:00 +0200

gcdemu-dmo (3.2.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Aug 2019 08:50:35 +0200

gcdemu-dmo (3.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Mar 2019 10:45:33 +0100

gcdemu-dmo (3.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 08 Jul 2018 15:57:54 +0200

gcdemu-dmo (3.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Jun 2017 09:46:27 +0200

gcdemu-dmo (3.0.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 11 Oct 2016 17:36:16 +0200

gcdemu-dmo (3.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Oct 2016 17:55:51 +0200

gcdemu-dmo (3.0.1-dmo1) unstable; urgency=medium

  * Upload to my repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Jan 2016 14:59:09 +0100

gcdemu (3.0.1-1) debian; urgency=low

  * Updated to 3.0.1

 -- Rok Mandeljc <rok.mandeljc@gmail.com>  Sat, 21 Nov 2015 12:00:00 +0100

gcdemu (3.0.0-1) debian; urgency=low

  * Initial Release. Closes: #705409

 -- Henrik Stokseth <henrik@hshq.net>  Sat, 05 Apr 2014 12:00:00 +0100

=== debian/control ===
Source: gcdemu
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
# Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://cdemu.sourceforge.io/about/gcdemu/
Standards-Version: 4.6.2
Build-Depends: cmake (>= 3.7.0~),
               debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-python3,
               intltool,
               libglib2.0-dev

Package: gcdemu
Architecture: all
Depends: cdemu-daemon (>= 3.1.0~),
         gir1.2-ayatanaappindicator3-0.1,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-notify-0.7,
         python3-gi,
         ${misc:Depends},
         ${python3:Depends},
         cdemu-client (>= 3.1.0~)
Description: GNOME application to control CDEmu daemon
 This is gCDEmu, a GNOME application for controlling the CDEmu daemon. It is
 part of the CDEmu suite, a free, GPL CD/DVD-ROM device emulator for Linux.
 .
 It provides a graphic interface that allows performing the key tasks
 related to controlling the CDEmu daemon, such as loading and unloading
 devices, displaying devices' status and retrieving/setting devices' debug
 masks.
 .
 In addition, the application listens to the signals emitted by CDEmu daemon
 and provides the notification via libnotify's notifications (provided that
 Python bindings are installed).

=== debian/watch ===
version=4

https://github.com/cdemu/cdemu/tags \
.*gcdemu-(.+)@ARCHIVE_EXT@
